> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledgebase



## OpenAPI

````yaml get /api/v1/knowledgebase
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/knowledgebase:
    get:
      tags:
        - Knowledgebase
      summary: Get Knowledgebase
      operationId: KnowledgeBaseController_getAllKnowledgeBase
      parameters:
        - name: page
          required: false
          in: query
          schema:
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          schema:
            example: 10
            type: number
      responses:
        '200':
          description: Retireved list of knowledge bases
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetKnowledgeBaseOutput'
        '400':
          description: Bad Request
      security:
        - basic: []
components:
  schemas:
    GetKnowledgeBaseOutput:
      type: object
      properties:
        knowledgeBases:
          description: List of knowledge base in the workspace
          example:
            - id: 44264f7c-bf2b-47ad-baf9-48b509dc55c0
              name: Test
              type: faq
              agents:
                - c84951a0-8354-40b0-a1ee-c43d259f6a40
              title: Test
              text: Test
              description: Test
              refreshFrequency: 1h
              workspace: 34319b9a-625a-4eef-a554-7ed0d27fce6b
              isEveryone: false
              status: active
            - id: fc4426d7-3bd4-4146-a69a-011ca2227d3a
              name: Test 2
              type: faq
              urls:
                - https://example.com/knowledge-base
              agents:
                - '2'
              title: Test 2
              description: Test 2 description
              text: Test 2 text
              refreshFrequency: 1d
              workspace: 34319b9a-625a-4eef-a554-7ed0d27fce6b
              isEveryone: true
              status: inactive
          type: array
          items:
            type: string
        total:
          type: number
          description: Total of knowledge base
          example: 1
        pages:
          type: number
          description: Number of pages
          example: 1
      required:
        - knowledgeBases
        - total
        - pages
  securitySchemes:
    basic:
      type: http
      scheme: basic

````